Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 625616 - "git push" hangs
"git push" hangs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
13
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 19:33 EDT by Patrick
Modified: 2013-01-10 05:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:22:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output (13.53 KB, text/plain)
2010-08-19 19:47 EDT, Patrick
no flags Details

  None (edit)
Description Patrick 2010-08-19 19:33:54 EDT
Description of problem:
I clone an existing repository from an server via "git clone ssh:// ...". This works. When calling "git pull" it says everything is up to date. I can change existing text files, add the changes, commit them and push them to the server. This works, but when I change a binary file or add a new binary file (png, bmp) then git hangs for several minutes and then terminates saying:

> fatal: The remote end hung up unexpectedly

After this the commit is not applied to the server.

I tried to figure out whats wrong for nearly 20 hours. It is not the the servers fault, its not my firewall. I downgraded git from  
git-1.7.2.1-2.fc12.x86_64 to git-1.6.5.2-1.fc12.x86_64 
and openssh from
openssh-5.3p1-19.fc12.x64_64 to openssh-5.2p1-31.fc12.x64_64
with no success. Also I built git from the current official sources with no success.
I get the same behavior with Fedora 12 on x86 and x86_64 and Fedora 13 on x86 (x86_64 not tested). 
I installed openSuse 11.3 in a virtual machine on my Fedora 12 x86_64 computer and there git works as expected. Also I have a Windows 7 as dual boot on this machine an git works there, too.
The problem occurs with repos on sourceforge and gitorious.
I have really no idea what's wrong.

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Patrick 2010-08-19 19:47:11 EDT
Created attachment 439822 [details]
strace output

git hangs after:

--- SIGCHLD (Child exited) @ 0 (0) ---
read(5,
Comment 2 Patrick 2010-08-28 18:25:21 EDT
The problem still occures with 
Arch        : x86_64
Version     : 1.7.2.2
Release     : 1.fc12
Comment 3 Bug Zapper 2011-06-01 07:04:55 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-28 10:22:24 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.